(ns wanijo.neo4j
  (:require [clojurewerkz.neocons.rest :as nr]
            [clojurewerkz.neocons.rest.nodes :as nrn]
            [clojurewerkz.neocons.rest.cypher :as nrc]))

(def conn (nr/connect "http://neo4j:b@localhost:7474/db/data"))

(defn find-user! [ident]
  (some->
   (nrc/tquery
    conn
    "MATCH (n:user) WHERE n.ident = {ident} RETURN n"
    {:ident ident})
   first
   (get "n")
   :data))
